# vim: set ft=spec: -*- spec -*-
# $Id: audiooss,v 1.1 2003/06/13 11:02:58 raorn Exp $

%define soname 1.0

Name: audiooss
Version: 1.0.0
Release: alt1

Summary: %name - the transparent OSS emulation on top of NAS
License: GPL
Group: Sound
Url: http://www.mo.himolde.no/~knan/linux.html

Packager: Sir Raorn <raorn@altlinux.ru>

Source: http://www.mo.himolde.no/~knan/%name-%version.tar.gz

# Automatically added by buildreq on Fri Jun 13 2003 and checked by raorn
BuildRequires: XFree86-devel libaudio-devel

%description
%name - the transparent OSS emulation on top of NAS.

%prep
%setup -q

%build
xmkmf
%make_build

%install
%__mkdir_p %buildroot{%_bindir,%_libdir/%name}

%__install -p -m755 lib%name.so.%soname %buildroot%_libdir/%name/lib%name.so

%__cat <<EOF > %buildroot%_bindir/%name
#! /bin/sh

LD_PRELOAD=\${LD_PRELOAD+\$LD_PRELOAD:}%_libdir/%name/lib%name.so exec "\$@"
EOF

%__chmod +x %buildroot%_bindir/%name

%files
%doc ChangeLog FAQ README TODO %name.lsm
%_bindir/%name
%_libdir/%name/lib%name.so

%changelog
* Fri Jun 13 2003 Sir Raorn <raorn@altlinux.ru> 1.0.0-alt1
- Built for Sisyphus


